glknots(6)

NAME
glknots - generates some twisting 3d knot patterns

SYNOPSIS
glknots [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed float] [-segments int] [-thickness float] [-duration seconds] [-no-wander] [-spin XYZ] [-wireframe] [-fps]

DESCRIPTION
Generates some twisting 3d knot patterns. Spins 'em around.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-speed number
    Larger numbers mean run faster. Default: 1.0.

-segments number
    Number of segments in each path. Default 800. Larger numbers make the curves smoother, at the expense of a higher polygon count.

-thickness float
    How thick the tubes should be. Default 0.3.

-duration seconds
    How long to leave each knot up. Default 8 seconds.

-wander | -no-wander
    Whether the cubes should wander around the screen.

-spin [XYZ] | -no-spin
    Which axes, if any, to spin around on.

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.